%define oname pysvn

Summary:	Highlevel Subversion Python bindings
Name:		python-%{oname}
Version:	1.8.0
Release:	%mkrel 2
License:	Apache License
Group:		Development/Python
URL:		http://pysvn.tigris.org 
Source0:	http://pysvn.barrys-emacs.org/source_kits/%{oname}-%{version}.tar.gz
BuildRequires:	apr-devel
BuildRequires:	expat-devel
BuildRequires:	neon-devel
BuildRequires:	subversion-devel
BuildRequires:	subversion-tools
BuildRequires:	python-devel
BuildRequires:	python3-devel

%description
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package -n	python3-pysvn
Summary:	Highlevel Subversion Python bindings
Group:		Development/Python

%description -n	python3-pysvn
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package	docs
Summary:	Programmer's documentation for pysvn
Group:		Development/Python
BuildArch:	noarch

%description	docs
pysvn is a highlevel and easy to use Python bindings to Subversion.

This package contains the pysvn Programmer's Guide and the Programmer's
Reference.

%prep
%setup -q -n %{oname}-%{version}
cp -fr Source Source3

%build
pushd Source
python setup.py configure --verbose --fixed-module-name --enable-debug

#fix flags
sed -i -e 's|$(LDLIBS)|$(LDFLAGS) $(LDLIBS)|g' Makefile
sed -i -e 's|-Wall -fPIC|%{optflags} -fPIC|g' Makefile

#fix build
sed -i -e 's|-lssl|-lssl -lpython%{py_ver} -lapr-1 -lsvn_fs-1 -lsvn_wc-1 -lsvn_subr-1|g' Makefile

#disable rpath
sed -i -e 's|-Wl,--rpath -Wl,%{_libdir}||g' Makefile

%make LDFLAGS="%{ldflags}"
popd

pushd Source3
python3 setup.py configure --verbose --fixed-module-name --enable-debug

#fix flags
sed -i -e 's|$(LDLIBS)|$(LDFLAGS) $(LDLIBS)|g' Makefile
sed -i -e 's|-Wall -fPIC|%{optflags} -fPIC|g' Makefile

#fix build
sed -i -e 's|-lssl|-lssl -lpython%{py3_ver} -lapr-1 -lsvn_fs-1 -lsvn_wc-1 -lsvn_subr-1|g' Makefile

#disable rpath
sed -i -e 's|-Wl,--rpath -Wl,%{_libdir}||g' Makefile

%make LDFLAGS="%{ldflags}"
popd

%install
install -d %{buildroot}%{py_platsitedir}/%{oname}
cp -a Source/%oname/*.py %{buildroot}%{py_platsitedir}/%{oname}
cp -a Source/%{oname}/_pysvn*.so %{buildroot}%{py_platsitedir}/%{oname}

install -d %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source3/%oname/*.py %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source3/%{oname}/_pysvn*.so %{buildroot}%{python3_sitearch}/%{oname}

%files 
%doc LICENSE.txt
%{py_platsitedir}/%{oname}

%files -n python3-pysvn
%doc LICENSE.txt
%{python3_sitearch}/%{oname}

%files docs
%doc Docs/*.html Docs/*.js Examples


%changelog
* Wed Apr 27 2016 tv <tv> 1.8.0-2.mga6
+ Revision: 1006888
- use new macros

* Sat Feb 27 2016 luigiwalser <luigiwalser> 1.8.0-1.mga6
+ Revision: 979768
- 1.8.0

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 1.7.6-9.mga6
+ Revision: 888512
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7.6-8.mga5
+ Revision: 747760
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.6-7.mga5
+ Revision: 729581
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.6-6.mga5
+ Revision: 688281
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7.6-5.mga5
+ Revision: 628967
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.7.6-4.mga4
+ Revision: 528929
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 fwang <fwang> 1.7.6-3.mga4
+ Revision: 448352
- add python3 flavour

* Sun Jan 13 2013 umeabot <umeabot> 1.7.6-2.mga3
+ Revision: 379418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 guillomovitch <guillomovitch> 1.7.6-1.mga3
+ Revision: 332601
- new version
- imported package python-pysvn

